#ifndef zetsubou_Tspfit
#define zetsubou_Tspfit
//Searching Peaks Automatically by using TSpectrum class

TSpectrum *zetsubou::Tspfit(Double_t xmin,Double_t xmax)
{
  if(!hist) return 0;
  std::cout << "Now fitting..." << std::endl;
  Tsp = new TSpectrum(3,1); //(maximum number of peaks, resolution of the neighboring peaks)
  Tsp->Search(hist,2,"",0.10); //(hist,sigma of searched peaks,option,threshold)
  Int_t np =0; 
  Float_t *xpeaks = Tsp->GetPositionX();
  Float_t x[3];
  for(Int_t i=0;i <=2;i++)
  {
	if ( xpeaks[i] > xmin && xpeaks[i] < xmax)
	{
	x[np] = xpeaks[i];
	np++;
	}
  }		
  if(np == 1) gfit(xmin,xmax,100,x[0],10);
  if(np == 2) gfit(xmin,xmax,100,x[0],10,100,x[1],10);
  if(np == 3) gfit(xmin,xmax,100,x[0],10,100,x[1],10,100,x[2],10);
  return Tsp;
}

TSpectrum  *zetsubou::Tspfit(Double_t xmin,Double_t xmax,Double_t threshold)
{
  if(!hist) return 0;
  std::cout << "Now fitting..." << std::endl;
  Tsp = new TSpectrum(3,1); //(maximum number of peaks, resolution of the neighboring peaks)
  Tsp->Search(hist,2,"",threshold); //(hist,sigma of searched peaks,option,threshold)
  Int_t np =0;
  Float_t *xpeaks = Tsp->GetPositionX();
  Float_t x[3];
  for(Int_t i=0;i <=2;i++)
  {
	if ( xpeaks[i] > xmin && xpeaks[i] < xmax)
	{
	x[np] = xpeaks[i];
	np++;
	}
  }		
  if(np == 1) gfit(xmin,xmax,100,x[0],10);
  if(np == 2) gfit(xmin,xmax,100,x[0],10,100,x[1],10);
  if(np == 3) gfit(xmin,xmax,100,x[0],10,100,x[1],10,100,x[2],10);
  return Tsp;
}

TSpectrum *zetsubou::Tspfit(Double_t xmin,Double_t xmax,Double_t threshold,Double_t resolution)
{
  if(!hist) return 0;
  std::cout << "Now fitting..." << std::endl;
  Tsp = new TSpectrum(3,resolution); //(maximum number of peaks, resolution of the neighboring peaks)
  Tsp->Search(hist,2,"",threshold); //(hist,sigma of searched peaks,option,threshold)
  Int_t np =0;
  Float_t *xpeaks = Tsp->GetPositionX();
  Float_t x[3];
  for(Int_t i=0;i <=2;i++)
  {
	if ( xpeaks[i] > xmin && xpeaks[i] < xmax)
	{
	x[np] = xpeaks[i];
	np++;
	}
  }		
  if(np == 1) gfit(xmin,xmax,100,x[0],10);
  if(np == 2) gfit(xmin,xmax,100,x[0],10,100,x[1],10);
  if(np == 3) gfit(xmin,xmax,100,x[0],10,100,x[1],10,100,x[2],10);
  return Tsp;
}
#endif  //Tspfit.h
